### File

`packages/ecl/components/ecl-list/ecl-description-list-definition/ecl-description-list-definition.component.ts`

### Description

Component for a definition item within an ECL description list. Supports variants (link, inline, taxonomy, tag) and collapsible functionality with maxVisibleItems control.

### Extends

`ECLBaseDirective`

### Metadata

selector | `[eclDescriptionListDefinition]`
standalone | `true`
imports | `EUI_ECL_LINK` `TranslateModule`
templateUrl | `./ecl-description-list-definition.component.html`

### Index

###### Properties
Readonly domReady Readonly hasSeeAll maxVisibleItems
###### Methods
onShowAllItems getCssClasses
###### Inputs
variant class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Constructor

`constructor()`

### Inputs

variant
Type : `'link' | 'inline' | 'taxonomy' | 'tag' | null`
Default value : `null`
Visual variant of the definition list item. Options: 'link', 'inline', 'taxonomy', 'tag'.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`

### Methods

onShowAllItems
`onShowAllItems(evt: Event)`
Handles the "Show all items" link click event. Expands all hidden items and removes the "See all" link from DOM. Parameters :
Name | Type | Optional
evt | `Event` | No
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

Readonly domReady
Type : `unknown`
Default value : `signal(false)`
Signal indicating whether the DOM is ready for manipulation. Set to true after first render to ensure projected content exists.

Readonly hasSeeAll
Type : `unknown`
Default value : `computed(() => { const max = this.maxVisibleItems(); const total = this.currentItemsNumber(); return !!max && total > 0 && max < total; })`
Computed signal that determines if "See all" link should be shown. Returns true when maxVisibleItems is set and less than total items.

maxVisibleItems
Type : `unknown`
Default value : `signal<number | null>(null)`
Maximum number of items to display before showing "See all" link. Controlled by parent EclDescriptionListDirective.

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""